Question

EnableAttributeBasedSecurity is not available in Pega 8.1.3

Hi All,

EnableAttributeBasedSecurity is the setting required for ABAC , but not able to find that in Pega 8.1.3 Enterprise Edition, is there any alternate for that

Thanks in Advance

Correct Answer
March 27, 2019 - 1:29am

Resolved this by adding DSS into Pega-RULESEngine as suggested in this post, also informed GCS team to modify the documentation to reflect the changes in Pega 8.x

Comments

Keep up to date on this post and subscribe to comments

March 12, 2019 - 11:30am

This is by design. The default is false (in the engine code). You need to explicitly add it if you want to override the default value.

March 13, 2019 - 4:08am
Response to KevinZheng_GCS

But help file of Pega 8.1 says it is available as per below link

https://community.pega.com/sites/default/files/help_v81/express/procomhelpmain.htm#security/ABAC/sec-enable-ABAC-tsk.htm

however thanks for reply, if we are creating this DSS, I hope Owning ruleset , should be Pega-RULES

March 13, 2019 - 4:15am

In 8.1.1 the owning ruleset is Pega-RulesEngine

 

March 13, 2019 - 4:42am

I see that you've raised this in the Enhancements area as well.

Could you also add to that requesting that we update the on-line help so that it clearly states which owning ruleset to use?

Thanks in advance

March 27, 2019 - 1:29am

Resolved this by adding DSS into Pega-RULESEngine as suggested in this post, also informed GCS team to modify the documentation to reflect the changes in Pega 8.x